Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.hwpf.usermodel
Class CharacterProperties

    java.lang.Object
      org.apache.poi.hwpf.model.types.CHPAbstractType
          org.apache.poi.hwpf.usermodel.CharacterProperties

All Implemented Interfaces:
  java.lang.Cloneable

    public final class CharacterProperties

extends CHPAbstractType
implements java.lang.Cloneable

Author:
  Ryan Ackley

Field Summary
`static short` | `SPRM_BRC`
`static short` | `SPRM_CCV` change chp.cv
`static short` | `SPRM_CHARSCALE`
`static short` | `SPRM_CPG`
`static short` | `SPRM_DISPFLDRMARK`
`static short` | `SPRM_DTTMRMARK`
`static short` | `SPRM_DTTMRMARKDEL`
`static short` | `SPRM_DXASPACE`
`static short` | `SPRM_FBOLD`
`static short` | `SPRM_FCAPS`
`static short` | `SPRM_FDATA`
`static short` | `SPRM_FDSTRIKE`
`static short` | `SPRM_FELID`
`static short` | `SPRM_FEMBOSS`
`static short` | `SPRM_FFLDVANISH`
`static short` | `SPRM_FIMPRINT`
`static short` | `SPRM_FITALIC`
`static short` | `SPRM_FOBJ`
`static short` | `SPRM_FOLE2`
`static short` | `SPRM_FOUTLINE`
`static short` | `SPRM_FRMARK`
`static short` | `SPRM_FRMARKDEL`
`static short` | `SPRM_FSHADOW`
`static short` | `SPRM_FSMALLCAPS`
`static short` | `SPRM_FSPEC`
`static short` | `SPRM_FSTRIKE`
`static short` | `SPRM_FVANISH`
`static short` | `SPRM_HIGHLIGHT`
`static short` | `SPRM_HPS`
`static short` | `SPRM_HPSKERN`
`static short` | `SPRM_HPSPOS`
`static short` | `SPRM_IBSTRMARK`
`static short` | `SPRM_IBSTRMARKDEL`
`static short` | `SPRM_ICO`
`static short` | `SPRM_IDCTHINT`
`static short` | `SPRM_IDSIRMARKDEL`
`static short` | `SPRM_ISS`
`static short` | `SPRM_ISTD`
`static short` | `SPRM_KUL`
`static short` | `SPRM_LID`
`static short` | `SPRM_NONFELID`
`static short` | `SPRM_OBJLOCATION`
`static short` | `SPRM_PICLOCATION`
`static short` | `SPRM_PROPRMARK`
`static short` | `SPRM_RGFTCASCII`
`static short` | `SPRM_RGFTCFAREAST`
`static short` | `SPRM_RGFTCNOTFAREAST`
`static short` | `SPRM_SFXTEXT`
`static short` | `SPRM_SHD`
`static short` | `SPRM_SYMBOL`
`static short` | `SPRM_YSRI`

Constructor Summary
`CharacterProperties()`

Method Summary
`java.lang.Object` | `clone()`
`int` | `getCharacterSpacing()`
`int` | `getColor()`
`int` | `getFontSize()`
`int` | `getIco24()` Get the ico24 field for the CHP record.
`int` | `getKerning()`
`short` | `getSubSuperScriptIndex()`
`int` | `getUnderlineCode()`
`int` | `getVerticalOffset()`
`boolean` | `isBold()`
`boolean` | `isCapitalized()`
`boolean` | `isDoubleStrikeThrough()`
`boolean` | `isEmbossed()`
`boolean` | `isFldVanished()`
`boolean` | `isHighlighted()`
`boolean` | `isImprinted()`
`boolean` | `isItalic()`
`boolean` | `isMarkedDeleted()`
`boolean` | `isMarkedInserted()`
`boolean` | `isOutlined()`
`boolean` | `isShadowed()`
`boolean` | `isSmallCaps()`
`boolean` | `isStrikeThrough()`
`boolean` | `isVanished()`
`void` | `markDeleted(boolean mark)`
`void` | `markInserted(boolean mark)`
`void` | `setBold(boolean bold)`
`void` | `setCapitalized(boolean caps)`
`void` | `setCharacterSpacing(int twips)`
`void` | `setColor(int color)`
`void` | `setDoubleStrikeThrough(boolean dstrike)`
`void` | `setEmbossed(boolean emboss)`
`void` | `setFldVanish(boolean fldVanish)`
`void` | `setFontSize(int halfPoints)`
`void` | `setHighlighted(byte color)`
`void` | `setIco24(int colour24)` Set the ico24 field for the CHP record.
`void` | `setImprinted(boolean imprint)`
`void` | `setItalic(boolean italic)`
`void` | `setKerning(int kern)`
`void` | `setOutline(boolean outlined)`
`void` | `setShadow(boolean shadow)`
`void` | `setSmallCaps(boolean smallCaps)`
`void` | `setSubSuperScriptIndex(short iss)`
`void` | `setUnderlineCode(int kul)`
`void` | `setVanished(boolean vanish)`
`void` | `setVerticalOffset(int hpsPos)`
`void` | `strikeThrough(boolean strike)`

Methods inherited from class org.apache.poi.hwpf.model.types.CHPAbstractType
`getBrc, getCharsetFlags, getChse, getCopt, getCpg, getCv, getDttmConflict, getDttmDispFldRMark, getDttmPropRMark, getDttmRMark, getDttmRMarkDel, getDxaSpace, getFBorderWS, getFcData, getFcObj, getFcObjp, getFConflictOrig, getFConflictOtherDel, getFcPic, getFDblBdr, getFDispFldRMark, getFHasOldProps, getFPropRMark, getFSdtVanish, getFSpecSymbol, getFSpecVanish, getFtcAscii, getFtcBi, getFtcFE, getFtcOther, getFtcSym, getFUndetermine, getGrpfChp, getHighlight, getHps, getHpsAsci, getHpsBi, getHpsFE, getHpsKern, getHpsPos, getHresi, getHresiOld, getIbstConflict, getIbstDispFldRMark, getIbstPropRMark, getIbstRMark, getIbstRMarkDel, getIco, getIcoHighlight, getIdct, getIdctHint, getIdslReasonDel, getIdslRMReason, getIss, getIstd, getItypFELayout, getIWarichuBracket, getKcd, getKul, getLbrCRJ, getLidDefault, getLidFE, getLTagObj, getPctCharWidth, getSfxtText, getShd, getSpare, getUfel, getWCharScale, getWConflict, getXchSym, getXstDispFldRMark, isFBiDi, isFBold, isFBoldBi, isFCaps, isFCellFitText, isFChsDiff, isFComplexScripts, isFData, isFDStrike, isFEmboss, isFFldVanish, isFHighlight, isFImprint, isFItalic, isFItalicBi, isFKumimoji, isFLowerCase, isFLSFitText, isFMacChs, isFObj, isFOle2, isFOutline, isFRMark, isFRMarkDel, isFRuby, isFShadow, isFSmallCaps, isFSpec, isFStrike, isFTNY, isFTNYCompress, isFTNYFetchTxm, isFUsePgsuSettings, isFVanish, isFWarichu, isFWarichuNoOpenBracket, isUnused, setBrc, setCharsetFlags, setChse, setCopt, setCpg, setCv, setDttmConflict, setDttmDispFldRMark, setDttmPropRMark, setDttmRMark, setDttmRMarkDel, setDxaSpace, setFBiDi, setFBold, setFBoldBi, setFBorderWS, setFCaps, setFcData, setFCellFitText, setFChsDiff, setFcObj, setFcObjp, setFComplexScripts, setFConflictOrig, setFConflictOtherDel, setFcPic, setFData, setFDblBdr, setFDispFldRMark, setFDStrike, setFEmboss, setFFldVanish, setFHasOldProps, setFHighlight, setFImprint, setFItalic, setFItalicBi, setFKumimoji, setFLowerCase, setFLSFitText, setFMacChs, setFObj, setFOle2, setFOutline, setFPropRMark, setFRMark, setFRMarkDel, setFRuby, setFSdtVanish, setFShadow, setFSmallCaps, setFSpec, setFSpecSymbol, setFSpecVanish, setFStrike, setFtcAscii, setFtcBi, setFtcFE, setFtcOther, setFtcSym, setFTNY, setFTNYCompress, setFTNYFetchTxm, setFUndetermine, setFUsePgsuSettings, setFVanish, setFWarichu, setFWarichuNoOpenBracket, setGrpfChp, setHighlight, setHps, setHpsAsci, setHpsBi, setHpsFE, setHpsKern, setHpsPos, setHresi, setHresiOld, setIbstConflict, setIbstDispFldRMark, setIbstPropRMark, setIbstRMark, setIbstRMarkDel, setIco, setIcoHighlight, setIdct, setIdctHint, setIdslReasonDel, setIdslRMReason, setIss, setIstd, setItypFELayout, setIWarichuBracket, setKcd, setKul, setLbrCRJ, setLidDefault, setLidFE, setLTagObj, setPctCharWidth, setSfxtText, setShd, setSpare, setUfel, setUnused, setWCharScale, setWConflict, setXchSym, setXstDispFldRMark, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### SPRM_FRMARKDEL

    public static final short SPRM_FRMARKDEL

See Also:
  Constant Field Values

### SPRM_FRMARK

    public static final short SPRM_FRMARK

See Also:
  Constant Field Values

### SPRM_FFLDVANISH

    public static final short SPRM_FFLDVANISH

See Also:
  Constant Field Values

### SPRM_PICLOCATION

    public static final short SPRM_PICLOCATION

See Also:
  Constant Field Values

### SPRM_IBSTRMARK

    public static final short SPRM_IBSTRMARK

See Also:
  Constant Field Values

### SPRM_DTTMRMARK

    public static final short SPRM_DTTMRMARK

See Also:
  Constant Field Values

### SPRM_FDATA

    public static final short SPRM_FDATA

See Also:
  Constant Field Values

### SPRM_SYMBOL

    public static final short SPRM_SYMBOL

See Also:
  Constant Field Values

### SPRM_FOLE2

    public static final short SPRM_FOLE2

See Also:
  Constant Field Values

### SPRM_HIGHLIGHT

    public static final short SPRM_HIGHLIGHT

See Also:
  Constant Field Values

### SPRM_OBJLOCATION

    public static final short SPRM_OBJLOCATION

See Also:
  Constant Field Values

### SPRM_ISTD

    public static final short SPRM_ISTD

See Also:
  Constant Field Values

### SPRM_FBOLD

    public static final short SPRM_FBOLD

See Also:
  Constant Field Values

### SPRM_FITALIC

    public static final short SPRM_FITALIC

See Also:
  Constant Field Values

### SPRM_FSTRIKE

    public static final short SPRM_FSTRIKE

See Also:
  Constant Field Values

### SPRM_FOUTLINE

    public static final short SPRM_FOUTLINE

See Also:
  Constant Field Values

### SPRM_FSHADOW

    public static final short SPRM_FSHADOW

See Also:
  Constant Field Values

### SPRM_FSMALLCAPS

    public static final short SPRM_FSMALLCAPS

See Also:
  Constant Field Values

### SPRM_FCAPS

    public static final short SPRM_FCAPS

See Also:
  Constant Field Values

### SPRM_FVANISH

    public static final short SPRM_FVANISH

See Also:
  Constant Field Values

### SPRM_KUL

    public static final short SPRM_KUL

See Also:
  Constant Field Values

### SPRM_DXASPACE

    public static final short SPRM_DXASPACE

See Also:
  Constant Field Values

### SPRM_LID

    public static final short SPRM_LID

See Also:
  Constant Field Values

### SPRM_ICO

    public static final short SPRM_ICO

See Also:
  Constant Field Values

### SPRM_HPS

    public static final short SPRM_HPS

See Also:
  Constant Field Values

### SPRM_HPSPOS

    public static final short SPRM_HPSPOS

See Also:
  Constant Field Values

### SPRM_ISS

    public static final short SPRM_ISS

See Also:
  Constant Field Values

### SPRM_HPSKERN

    public static final short SPRM_HPSKERN

See Also:
  Constant Field Values

### SPRM_YSRI

    public static final short SPRM_YSRI

See Also:
  Constant Field Values

### SPRM_RGFTCASCII

    public static final short SPRM_RGFTCASCII

See Also:
  Constant Field Values

### SPRM_RGFTCFAREAST

    public static final short SPRM_RGFTCFAREAST

See Also:
  Constant Field Values

### SPRM_RGFTCNOTFAREAST

    public static final short SPRM_RGFTCNOTFAREAST

See Also:
  Constant Field Values

### SPRM_CHARSCALE

    public static final short SPRM_CHARSCALE

See Also:
  Constant Field Values

### SPRM_FDSTRIKE

    public static final short SPRM_FDSTRIKE

See Also:
  Constant Field Values

### SPRM_FIMPRINT

    public static final short SPRM_FIMPRINT

See Also:
  Constant Field Values

### SPRM_FSPEC

    public static final short SPRM_FSPEC

See Also:
  Constant Field Values

### SPRM_FOBJ

    public static final short SPRM_FOBJ

See Also:
  Constant Field Values

### SPRM_PROPRMARK

    public static final short SPRM_PROPRMARK

See Also:
  Constant Field Values

### SPRM_FEMBOSS

    public static final short SPRM_FEMBOSS

See Also:
  Constant Field Values

### SPRM_SFXTEXT

    public static final short SPRM_SFXTEXT

See Also:
  Constant Field Values

### SPRM_DISPFLDRMARK

    public static final short SPRM_DISPFLDRMARK

See Also:
  Constant Field Values

### SPRM_IBSTRMARKDEL

    public static final short SPRM_IBSTRMARKDEL

See Also:
  Constant Field Values

### SPRM_DTTMRMARKDEL

    public static final short SPRM_DTTMRMARKDEL

See Also:
  Constant Field Values

### SPRM_BRC

    public static final short SPRM_BRC

See Also:
  Constant Field Values

### SPRM_SHD

    public static final short SPRM_SHD

See Also:
  Constant Field Values

### SPRM_IDSIRMARKDEL

    public static final short SPRM_IDSIRMARKDEL

See Also:
  Constant Field Values

### SPRM_CPG

    public static final short SPRM_CPG

See Also:
  Constant Field Values

### SPRM_NONFELID

    public static final short SPRM_NONFELID

See Also:
  Constant Field Values

### SPRM_FELID

    public static final short SPRM_FELID

See Also:
  Constant Field Values

### SPRM_IDCTHINT

    public static final short SPRM_IDCTHINT

See Also:
  Constant Field Values

### SPRM_CCV

    public static final short SPRM_CCV

  change chp.cv

  See Also:
    Constant Field Values

Constructor Detail

### CharacterProperties

    public CharacterProperties()

Method Detail

### isMarkedDeleted

    public boolean isMarkedDeleted()

### markDeleted

    public void markDeleted(boolean mark)

### isBold

    public boolean isBold()

### setBold

    public void setBold(boolean bold)

### isItalic

    public boolean isItalic()

### setItalic

    public void setItalic(boolean italic)

### isOutlined

    public boolean isOutlined()

### setOutline

    public void setOutline(boolean outlined)

### isFldVanished

    public boolean isFldVanished()

### setFldVanish

    public void setFldVanish(boolean fldVanish)

### isSmallCaps

    public boolean isSmallCaps()

### setSmallCaps

    public void setSmallCaps(boolean smallCaps)

### isCapitalized

    public boolean isCapitalized()

### setCapitalized

    public void setCapitalized(boolean caps)

### isVanished

    public boolean isVanished()

### setVanished

    public void setVanished(boolean vanish)

### isMarkedInserted

    public boolean isMarkedInserted()

### markInserted

    public void markInserted(boolean mark)

### isStrikeThrough

    public boolean isStrikeThrough()

### strikeThrough

    public void strikeThrough(boolean strike)

### isShadowed

    public boolean isShadowed()

### setShadow

    public void setShadow(boolean shadow)

### isEmbossed

    public boolean isEmbossed()

### setEmbossed

    public void setEmbossed(boolean emboss)

### isImprinted

    public boolean isImprinted()

### setImprinted

    public void setImprinted(boolean imprint)

### isDoubleStrikeThrough

    public boolean isDoubleStrikeThrough()

### setDoubleStrikeThrough

    public void setDoubleStrikeThrough(boolean dstrike)

### getFontSize

    public int getFontSize()

### setFontSize

    public void setFontSize(int halfPoints)

### getCharacterSpacing

    public int getCharacterSpacing()

### setCharacterSpacing

    public void setCharacterSpacing(int twips)

### getSubSuperScriptIndex

    public short getSubSuperScriptIndex()

### setSubSuperScriptIndex

    public void setSubSuperScriptIndex(short iss)

### getUnderlineCode

    public int getUnderlineCode()

### setUnderlineCode

    public void setUnderlineCode(int kul)

### getColor

    public int getColor()

### setColor

    public void setColor(int color)

### getVerticalOffset

    public int getVerticalOffset()

### setVerticalOffset

    public void setVerticalOffset(int hpsPos)

### getKerning

    public int getKerning()

### setKerning

    public void setKerning(int kern)

### isHighlighted

    public boolean isHighlighted()

### setHighlighted

    public void setHighlighted(byte color)

### getIco24

    public int getIco24()

  Get the ico24 field for the CHP record.

### setIco24

    public void setIco24(int colour24)

  Set the ico24 field for the CHP record.

### clone

    public java.lang.Object clone()
                           throws java.lang.CloneNotSupportedException

  Overrides:
    `clone` in class `java.lang.Object`
  Throws:
    `java.lang.CloneNotSupportedException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD